//
// Created by 12567 on 2021/4/4.
//

#ifndef REYUNSDK_FAKE_DLFCN_H
#define REYUNSDK_FAKE_DLFCN_H

struct so_info {
    void *base;
    void *load_addr;
    void *dynstr;
    void *dynsym;
    void *symtab;
    void* strtab;
    int nsymtabs;
    int nsyms;
    off_t bias;
    size_t mem_size;
};

void *fake_dlopen(const char *libpath, int flags);

void *fake_dlsym(void *handle, const char *name);

int fake_dlclose(void *handle);

#endif //REYUNSDK_FAKE_DLFCN_H
